org.optaplanner.core.impl.score.buildin.hardmediumsoftlong

## Class HardMediumSoftLongScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<HardMediumSoftLongScore>
  - - org.optaplanner.core.impl.score.buildin.hardmediumsoftlong.HardMediumSoftLongScoreInliner

-     public class HardMediumSoftLongScoreInliner
      extends ScoreInliner<HardMediumSoftLongScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `hardScore`
    `protected long` | `mediumScore`
    `protected long` | `softScore`

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HardMediumSoftLongScoreInliner(boolean constraintMatchEnabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LongWeightedScoreImpacter` | `buildWeightedScoreImpacter(HardMediumSoftLongScore constraintWeight)`
    `HardMediumSoftLongScore` | `extractScore(int initScore)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hardScore

          protected long hardScore

    - #### mediumScore

          protected long mediumScore

    - #### softScore

          protected long softScore

  - ### Constructor Detail

    - #### HardMediumSoftLongScoreInliner

          protected HardMediumSoftLongScoreInliner(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public LongWeightedScoreImpacter buildWeightedScoreImpacter(HardMediumSoftLongScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<HardMediumSoftLongScore>`

    - #### extractScore

          public HardMediumSoftLongScore extractScore(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<HardMediumSoftLongScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.